/***************************************************************************
 *   Copyright (C) 2003 by liuspider                                          *
 *   sharecash@163.net                                                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef SCIMLISTBOX_H
#define SCIMLISTBOX_H

#include <qlabel.h>
#include <qlayout.h>

#include "scimstringlistitem.h"
#include "scimmovehandle.h"
/**
@author liuspider
*/
#define MAX_CANDIDATES 9
class ScimListBox : public ScimDragableFrame
{
Q_OBJECT
public:
    ScimListBox(QWidget *parent = 0, const char *name = 0, bool _isVertical = false);

    ~ScimListBox();
    void updateContent( QStringList &lookupstringlist );
    void setVertical(bool b);
    void setEnableHighlight(bool b);
//     virtual QSize sizeHint();
//     virtual QSize minimumSizeHint();
signals:
    void itemSelected(int);
public slots:
    void updateSelection(int);
    void updateHighlight(int);
protected:
    QBoxLayout*          layout;
    ScimStringListItem*  candidatesLbl[MAX_CANDIDATES];
    bool                 enableHighlight;
    int                  curSelection;
};

#endif
