/***************************************************************************
 *   Copyright (C) 2003 by liuspider                                          *
 *   sharecash@163.net                                                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef CONFIGINPUTWINDOW_H
#define CONFIGINPUTWINDOW_H

#include <inputwindow_settings.h>

/**
@author spider
*/
class ConfigInputWindow : public ConfigInputWindowBase
{
Q_OBJECT
public:
    ConfigInputWindow(QWidget *parent = 0, const char *name = 0);

    virtual ~ConfigInputWindow();
    virtual void saveSettings();
    virtual bool hasChanged();
protected slots:
    void fontChanged (const QFont &font);
private:
    bool _changed;
    QFont oldCustomFont;
};

#endif
