/***************************************************************************
 *   Copyright (C) 2003 by liuspider                                          *
 *   sharecash@163.net                                                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#include "src/modulescollection.h"
#include "configmainwindow.h"

// #include "plugins/setupwindow/scimsetupwindow.h"
#include <klocale.h>
#include <kedittoolbar.h>
#include <qlayout.h>

//FIXME
#include <qcheckbox.h>
#include <qspinbox.h>
//uuid is the same with mainwindow
#define MODULE_UUID "985b476c-1a56-47a6-a658-8e0db3be0a7c"
extern "C" {
    static ConfigMainWindow* _configmainwindow_widget = 0;
    QWidget* init( ModulesCollection* /*is*/, ModuleDefinition& md, QWidget* preferedParent)
    {
        if( md.uuid == MODULE_UUID )
        {
            _configmainwindow_widget = new ConfigMainWindow(preferedParent);
//             _setupwindow_widget->show();
            return _configmainwindow_widget;
        }
        return 0;
    }
    bool getInfo( ModulesCollection * , ModuleDefinition* md)
    {
        md->uuid = MODULE_UUID;
        md->type = scim_kde::ConfigModule;
        md->load_type = scim_kde::Temporary;
//         md->load_type = scim_kde::Temporary;
        md->name = i18n("Setup UI for Main Window");
        md->comment = "";

        return true;
    }
    bool isFinished()
    {
        return !_configmainwindow_widget;
    }
}

ConfigMainWindow::ConfigMainWindow(QWidget *parent, const char */*name*/)
 : MainWindow_Settings(parent), _changed(false)
{
    SettingsDialog->addPage(this, i18n("Main Window"), "blockdevice");
    ediToolbar = new KEditToolbarWidget("MainToolBar", SettingsDialog->actionCollection(),"mainwindowui.rc",false,this);
    layout()->add(ediToolbar);
    connect(ediToolbar,SIGNAL(enableOk(bool)),SLOT(checkChanged(bool)));
    //FIXME:
    kcfg_Hide_Timeout->hide();
    kcfg_Always_Show->hide();
}
void ConfigMainWindow::saveSettings()
{
    if(!_changed)
      return;
    _changed = false;
    if(!ediToolbar->save())
      std::cerr <<"Can no save settings for toolbar " << ediToolbar->name() << "\n";
}
void ConfigMainWindow::checkChanged(bool e)
{
    if(e)
      _changed = true;
    else
      _changed = false;
    emit changed();
}
bool ConfigMainWindow::hasChanged()
{
    return _changed;
}
ConfigMainWindow::~ConfigMainWindow()
{
    _configmainwindow_widget = 0;
}


#include "configmainwindow.moc"
