/***************************************************************************
 *   Copyright (C) 2003 by liuspider                                          *
 *   sharecash@163.net                                                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef SCIMSTRINGLISTITEM_H
#define SCIMSTRINGLISTITEM_H

#include <qlabel.h>
#include <qwidget.h>

/**
@author liuspider
*/
class ScimStringListItem : public QLabel
{
Q_OBJECT
public:
    ScimStringListItem(int _index, QWidget *parent = 0, const char *name = 0);

    ~ScimStringListItem();
    void setHighlight(bool);
public slots:
//     virtual void setMouseTracking(bool);
signals:
    void selected(int);
    void highlighted(int);
protected:
    virtual void mousePressEvent( QMouseEvent * );
    virtual void mouseMoveEvent( QMouseEvent * );
private:
    int index;
};

#endif
