/***************************************************************************
 *   Copyright (C) 2003 by liuspider                                          *
 *   sharecash@163.net                                                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef SCIMLAUNCHER_H
#define SCIMLAUNCHER_H

#include <qwidget.h>
class KProcess;
class QVBoxLayout;
class ScimLauncher : public QWidget
{
Q_OBJECT
public:
    ScimLauncher(QWidget *parent = 0, const char *name = 0);

    ~ScimLauncher();

    void ScimLauncher::updateText();
protected slots:
    void receiveStdout(KProcess *proc, char *buffer, int buflen);
    void receiveStderr(KProcess *proc, char *buffer, int buflen);
    void startFrontEndSCIM();
private:
    QVBoxLayout* mainLayout;
    class QTextEdit* textArea;
    QString stdout, stderr;
private:
    KProcess* backendScim;
    KProcess* frontendScim;
signals:
    void exited();
};

#endif
