/***************************************************************************
 *   Copyright (C) 2003 by liuspider                                          *
 *   sharecash@163.net                                                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef SETUPWINDOW_H
#define SETUPWINDOW_H

#include <kconfigdialog.h> 

#include "utils/configpluginwidget.h"

class ScimSetupWindow : public ScimSetupWindowBase
{
Q_OBJECT
public:
    ScimSetupWindow(QWidget *parent = 0, const char *name = 0, KConfigSkeleton *config = 0);
    ~ScimSetupWindow();
    virtual void addPage (QWidget *page, const QString &itemName, const QString &pixmapName, 
      const QString &header=QString::null, bool manage=true);
    virtual void show();
    virtual KActionCollection* actionCollection();
//     virtual void hide();
protected slots:
    virtual void updateSettings ();
//     virtual void updateWidgets ();
    virtual void updateWidgetsDefault ();
protected:
    virtual bool hasChanged ();
    virtual bool isDefault ();
    ModulesCollection* mc;
private:
    QValueList<ScimConfigPluginWidget*> configWidgets;
};

#endif
